Skip to main content
`Ctrl`+`K`

# EPSGDSetDoubleExpansion

Activate the double expansion variant of GD.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDSetDoubleExpansion(EPS eps,PetscBool doubleexp)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- doubleexp - the boolean flag

## Options Database Key

- -eps_gd_double_expansion - activate the double-expansion variant of GD

## Note

In the double expansion variant the search subspace is expanded with \(K[Ax, Bx]\) instead of the classic \(Kr\), where \(K\) is the preconditioner, \(x\) the selected approximate eigenvector and \(r\) its associated residual vector. More details can be found in [Hochstenbach et al., 2012].

## References

[Hoc12]

M. Hochstenbach, E. Romero, and J. E. Roman. Davidson type subspace expansions for the linear eigenvalue problem. Technical Report STR-10, Universitat Politècnica de València, 2012. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGD`, `EPSGDGetDoubleExpansion()`

## Level

advanced

## Location

src/eps/impls/davidson/gd/gd.c

## Implementations

EPSGDSetDoubleExpansion_GD() in src/eps/impls/davidson/gd/gd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages